Calendars
Introduction
Calendars categorize CalendarEvents and provide the color used to display their events.
Model Definition
Relations
List
List all calendars ordered by sort_number by default.
Definition
GET /api/calendars
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
No relations
Pipe-separated relations to include. An empty value suppresses defaults.
limit
integer
No limit
Maximum number of calendars. Minimum 1.
order_field
string
sort_number
Field used for ordering.
order_direction
string
asc
asc or desc.
Example Request
Example Response
Show
Show one calendar.
Definition
GET /api/calendars/{idOrHash}
Route Parameters
idOrHash
integer
Calendar ID.
Request Keys
selects
string
All fields
Comma-separated fields to return.
relations
string
No relations
Pipe-separated relations to include.
Example Request
Example Response
Create
Create a calendar.
Definition
POST /api/calendars
Request Keys
name*
string
-
Calendar name.
color*
string
-
Calendar color, normally a hexadecimal color value.
sort_number
integer
Next sort number
Calendar position.
Keys with * are required.
Example Request
Example Response
Update
Update a calendar.
Definition
PUT /api/calendars/{id}
Route Parameters
id
integer
Calendar ID.
Request Keys
name
string
New calendar name.
color
string
New calendar color.
sort_number
integer
New position.
Example Request
Example Response
Delete
Delete a calendar permanently.
Definition
DELETE /api/calendars/{id}
Route Parameters
id
integer
Calendar ID.
Example Request
Example Response
Last updated